Package org.apache.solr.client.solrj

# Class SolrServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.solr.client.solrj.SolrServerException

All Implemented Interfaces:
  `Serializable`

public class SolrServerException extends Exception
Exception to catch all types of communication / parsing issues associated with talking to SOLR

Since:
  solr 1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SolrServerException(String message)`
`SolrServerException(String message, Throwable cause)`
`SolrServerException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getRootCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SolrServerException

public SolrServerException(String message, Throwable cause)

### SolrServerException

public SolrServerException(String message)

### SolrServerException

public SolrServerException(Throwable cause)

## Method Details

### getRootCause

public Throwable getRootCause()